# Uses of Class
javax.help.search.SearchQuery

Packages that use SearchQuery
Package
Description
javax.help.plaf.basic
javax.help.search
Supports simple access to search engines.

## Uses of SearchQuery in javax.help.plaf.basic

Fields in javax.help.plaf.basic declared as SearchQuery
Modifier and Type
Field
Description
`protected SearchQuery`
BasicSearchNavigatorUI.`searchquery`

## Uses of SearchQuery in javax.help.search

Methods in javax.help.search that return SearchQuery
Modifier and Type
Method
Description
`SearchQuery`
MergingSearchEngine.`createQuery()`
Creates the query for this helpset.
`abstract SearchQuery`
SearchEngine.`createQuery()`
Creates a new search query.